<div class="body">
  <div class="header">
    <div></div>
    <div class="header-filter">
      <div>
        <button
          mat-icon-button
          class="example-icon"
          aria-label="Example icon-button with menu icon"
          (click)="addTask()"
        >
          <mat-icon>add</mat-icon>
        </button>
      </div>
      <div>
        <input
          type="text"
          (keyup)="filterList($event)"
          placeholder="Filtrar resultados"
          class="input-filter"
        />
      </div>
    </div>
  </div>
  <div class="table">
    <table mat-table [dataSource]="tasksList" class="mat-elevation-z8">
      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef>Titulo</th>
        <td mat-cell *matCellDef="let element">{{ element.title }}</td>
      </ng-container>

      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef>Descripcion</th>
        <td mat-cell *matCellDef="let element">{{ element.description }}</td>
      </ng-container>

      <ng-container matColumnDef="completed">
        <th mat-header-cell *matHeaderCellDef>Est.</th>
        <td mat-cell *matCellDef="let element">
          <div (click)="completeTaskPrompt(element)">
            <mat-icon>{{
              element.completed ? "done_all" : "pending_actions"
            }}</mat-icon>
          </div>
        </td>
      </ng-container>

      <ng-container matColumnDef="edit">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <mat-icon (click)="editTask(element)">edit</mat-icon>
        </td>
      </ng-container>

      <ng-container matColumnDef="delete">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <mat-icon (click)="deleteTaskPrompt(element.id)">delete</mat-icon>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="columns"></tr>
      <tr mat-row *matRowDef="let row; columns: columns"></tr>
    </table>

    <mat-paginator
      [pageSizeOptions]="[10, 25, 50, 100]"
      showFirstLastButtons
    ></mat-paginator>
  </div>
</div>
